Busca


imprimir pdf

Problema com o sistema de bases DBM



Porque tenho este problema ?


Acabámos de actualizar o conjunto dos servidores que alojam o seu site. Aproveitamos para utilizar as últimas versões dos "software" instalados.

No seguimento da actualização de Perl, foi efectuado um upgrade ao sistema de base de dados DBM. Em contrapartida as novas versões não são retro compatíveis. É por isso que tem uma mensagem de erro quando utiliza os seus certificados.

Como corrigir este problema ?


Para que tudo retorne a ordem, basta actualizar os seus ficheiros de bases de dados. Para isso, crie um ficheiro upgradedbm.php no seu espaço web e ponha no seu directório www com o seguinte conteúdo:

<?php
exec("/usr/bin/find .. -name *.idx -exec /usr/bin/db4.3_upgrade '{}' ;");
exec("/usr/bin/find .. -name *.db -exec /usr/bin/db4.3_upgrade '{}' ;");
?>


Ficheiros actualizados.

Agora, já só tem que o executar: http://www.votredomaine/upgradedbm.php.

Os seus ficheiros são agora compatíveis com a nova versão.